Package pygccxml :: Package declarations :: Module matchers :: Class custom_matcher_t

# type custom_matcher_t

source code

        object --+
                 |
    matcher_base_t --+
                     |
                    custom_matcher_t

Instance of this class will match declaration by user custom criteria.

Instance Methods

__init__(self, function) | source code

__call__(self, decl) | source code

__str__(self) | source code

Inherited from `matcher_base_t`: `__and__`, `__invert__`, `__or__`

Method Details

### __init__(self, function)
(Constructor)

source code

Parameters:
  - `function` - callable, that takes single argument - declaration instance should return True or False
Overrides: matcher_base_t.__init__

### __call__(self, decl)
(Call operator)

source code

Overrides: matcher_base_t.__call__

### __str__(self)
(Informal representation operator)

source code

Overrides: matcher_base_t.__str__